<?php

class WactExamplesTagsIncludeTestCase extends Wact_Test_Case_Web {

    function testExists() {
        $this->assertTrue($this->get($this->getTestServerUrl('/acceptance/template/tags/core/include.php')));
        $this->assertNormalPage();
        $this->assertWantedLiteral('This text has been included into the current template from another file');
        $this->assertWantedLiteral('<wact:placeholder id="example1" />');
        $this->assertNoUnwantedLiteral('<wact:placeholder id="example2" />');
    }

}
?>